<script>
    import FeaturedGallery from '../Components/FeaturedGallery.svelte';
    import TopCollection from '../Components/TopCollection.svelte';
    import TopUsers from '../Components/TopUsers.svelte';
    import HeroSection from '../Components/HeroSection.svelte';
    import Newsletter from '../Components/Newsletter.svelte';
</script>

<svelte:head>
    <title>Home</title>
    <meta name="description" content="Svelte demo app" />
</svelte:head>

<main class="bg-zinc-100 md:pt-32">
    <div class="container bg-white">
        <!-- Hero -->
        <HeroSection />
        <!-- end hero -->

        <!-- Process / Newsletter -->
        <Newsletter />
        <!-- end process / newsletter -->

        <!-- Hot Bids -->
        <FeaturedGallery />
        <!-- end hot bids -->

        <!-- Top Collections -->
        <TopCollection />
        <!-- end top collections -->

        <!-- Hot Bids -->
        <TopUsers />
        <!-- end hot bids -->

        <!-- Process / Newsletter -->
        <section class="js-page-header--is-sticky relative py-24">
            <!-- <picture class="pointer-events-none absolute inset-0 -z-10 dark:hidden w-2xl">
          <img src="img/full-bg.png" alt="gradient" class="h-full" />
        </picture> -->
            <div class="container ">
                <div class="grid h-full items-center gap-4 md:grid-cols-12">
                    <div class="col-span-6 xl:col-span-8">
                        <h2 class="font-display text-white text-left text-2xl dark:text-white">
                            Create and sell your NFTs <br /> (Biggest Bid or most popular now) Live data
                            basis
                        </h2>
                    </div>

                    <div class="col-span-6 xl:col-span-4">
                        <div class="flex space-x-4 w-full">
                            <a
                                href="/nft/m/1"
                                class="bg-accent shadow-accent-volume hover:bg-accent-dark w-full py-3 px-8 text-center font-semibold text-white transition-all mx-3"
                            >
                                Explore
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- end process / newsletter -->
    </div>
</main>

<!-- Wallet Modal -->

<!-- Buy Now Modal -->
<div
    class="modal fade"
    id="buyNowModal"
    tabindex="-1"
    aria-labelledby="buyNowModalLabel"
    aria-hidden="true"
>
    <div class="modal-dialog max-w-2xl">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="buyNowModalLabel">Complete checkout</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                    <svg
                        xmlns="http://www.w3.org/2000/svg"
                        viewBox="0 0 24 24"
                        width="24"
                        height="24"
                        class="fill-jacarta-700 h-6 w-6 dark:fill-white"
                    >
                        <path fill="none" d="M0 0h24v24H0z" />
                        <path
                            d="M12 10.586l4.95-4.95 1.414 1.414-4.95 4.95 4.95 4.95-1.414 1.414-4.95-4.95-4.95 4.95-1.414-1.414 4.95-4.95-4.95-4.95L7.05 5.636z"
                        />
                    </svg>
                </button>
            </div>

            <!-- Body -->
            <div class="modal-body p-6">
                <div class="mb-2 flex items-center justify-between">
                    <span
                        class="font-display text-jacarta-700 text-sm font-semibold dark:text-white"
                        >Item</span
                    >
                    <span
                        class="font-display text-jacarta-700 text-sm font-semibold dark:text-white"
                        >Subtotal</span
                    >
                </div>

                <div
                    class="dark:border-jacarta-600 border-jacarta-100 relative flex items-center border-t border-b py-4"
                >
                    <figure class="mr-5 self-start">
                        <img
                            src="/img/avatars/avatar_2.jpg"
                            alt="avatar 2"
                            class="rounded-2lg"
                            loading="lazy"
                        />
                    </figure>

                    <div>
                        <a href="/#" class="text-accent text-sm">Elon Musk #709</a>
                        <h3
                            class="font-display text-jacarta-700 mb-1 text-base font-semibold dark:text-white"
                        >
                            Lazyone Panda
                        </h3>
                        <div class="flex flex-wrap items-center">
                            <span class="dark:text-jacarta-300 text-jacarta-500 mr-1 block text-sm"
                                >Creator Earnings: 5%</span
                            >
                            <span
                                data-tippy-content="The creator of this collection will receive 5% of the sale total from future sales of this item."
                            >
                                <svg
                                    xmlns="http://www.w3.org/2000/svg"
                                    viewBox="0 0 24 24"
                                    width="24"
                                    height="24"
                                    class="dark:fill-jacarta-300 fill-jacarta-700 h-4 w-4"
                                >
                                    <path fill="none" d="M0 0h24v24H0z" />
                                    <path
                                        d="M12 22C6.477 22 2 17.523 2 12S6.477 2 12 2s10 4.477 10 10-4.477 10-10 10zm0-2a8 8 0 1 0 0-16 8 8 0 0 0 0 16zM11 7h2v2h-2V7zm0 4h2v6h-2v-6z"
                                    />
                                </svg>
                            </span>
                        </div>
                    </div>

                    <div class="ml-auto">
                        <span class="mb-1 flex items-center whitespace-nowrap">
                            <span data-tippy-content="PPY">
                                <svg
                                    version="1.1"
                                    xmlns="http://www.w3.org/2000/svg"
                                    x="0"
                                    y="0"
                                    viewBox="0 0 1920 1920"
                                    xml:space="preserve"
                                    class="h-4 w-4"
                                >
                                    <path fill="#8A92B2" d="M959.8 80.7L420.1 976.3 959.8 731z" />
                                    <path
                                        fill="#62688F"
                                        d="M959.8 731L420.1 976.3l539.7 319.1zm539.8 245.3L959.8 80.7V731z"
                                    />
                                    <path fill="#454A75" d="M959.8 1295.4l539.8-319.1L959.8 731z" />
                                    <path fill="#8A92B2" d="M420.1 1078.7l539.7 760.6v-441.7z" />
                                    <path fill="#62688F" d="M959.8 1397.6v441.7l540.1-760.6z" />
                                </svg>
                            </span>
                            <span class="dark:text-jacarta-100 text-sm font-medium tracking-tight"
                                >1.55 PPY</span
                            >
                        </span>
                        <div class="dark:text-jacarta-300 text-right text-sm">$130.82</div>
                    </div>
                </div>

                <!-- Total -->
                <div
                    class="dark:border-jacarta-600 border-jacarta-100 mb-2 flex items-center justify-between border-b py-2.5"
                >
                    <span
                        class="font-display text-jacarta-700 hover:text-accent font-semibold dark:text-white"
                        >Total</span
                    >
                    <div class="ml-auto">
                        <span class="flex items-center whitespace-nowrap">
                            <span data-tippy-content="PPY">
                                <svg
                                    version="1.1"
                                    xmlns="http://www.w3.org/2000/svg"
                                    x="0"
                                    y="0"
                                    viewBox="0 0 1920 1920"
                                    xml:space="preserve"
                                    class="h-4 w-4"
                                >
                                    <path fill="#8A92B2" d="M959.8 80.7L420.1 976.3 959.8 731z" />
                                    <path
                                        fill="#62688F"
                                        d="M959.8 731L420.1 976.3l539.7 319.1zm539.8 245.3L959.8 80.7V731z"
                                    />
                                    <path fill="#454A75" d="M959.8 1295.4l539.8-319.1L959.8 731z" />
                                    <path fill="#8A92B2" d="M420.1 1078.7l539.7 760.6v-441.7z" />
                                    <path fill="#62688F" d="M959.8 1397.6v441.7l540.1-760.6z" />
                                </svg>
                            </span>
                            <span class="text-green font-medium tracking-tight">1.55 PPY</span>
                        </span>
                        <div class="dark:text-jacarta-300 text-right">$130.82</div>
                    </div>
                </div>

                <!-- Terms -->
                <div class="mt-4 flex items-center space-x-2">
                    <input
                        type="checkbox"
                        id="buyNowTerms"
                        class="checked:bg-accent dark:bg-jacarta-600 text-accent border-jacarta-200 focus:ring-accent/20 dark:border-jacarta-500 h-5 w-5 self-start rounded focus:ring-offset-0"
                    />
                    <label for="buyNowTerms" class="dark:text-jacarta-200 text-sm"
                        >By checking this box, I agree to Tradehands's <a
                            href="/#"
                            class="text-accent">Terms of Service</a
                        ></label
                    >
                </div>
            </div>
            <!-- end body -->

            <div class="modal-footer">
                <div class="flex items-center justify-center space-x-4">
                    <button
                        type="button"
                        class="bg-accent shadow-accent-volume hover:bg-accent-dark rounded-full py-3 px-8 text-center font-semibold text-white transition-all"
                    >
                        Confirm Checkout
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Place Bid Modal -->
<div
    class="modal fade"
    id="placeBidModal"
    tabindex="-1"
    aria-labelledby="placeBidLabel"
    aria-hidden="true"
>
    <div class="modal-dialog max-w-2xl">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="placeBidLabel">Place a bid</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                    <svg
                        xmlns="http://www.w3.org/2000/svg"
                        viewBox="0 0 24 24"
                        width="24"
                        height="24"
                        class="fill-jacarta-700 h-6 w-6 dark:fill-white"
                    >
                        <path fill="none" d="M0 0h24v24H0z" />
                        <path
                            d="M12 10.586l4.95-4.95 1.414 1.414-4.95 4.95 4.95 4.95-1.414 1.414-4.95-4.95-4.95 4.95-1.414-1.414 4.95-4.95-4.95-4.95L7.05 5.636z"
                        />
                    </svg>
                </button>
            </div>

            <!-- Body -->
            <div class="modal-body p-6">
                <div class="mb-2 flex items-center justify-between">
                    <span
                        class="font-display text-jacarta-700 text-sm font-semibold dark:text-white"
                        >Price</span
                    >
                </div>

                <div
                    class="dark:border-jacarta-600 border-jacarta-100 relative mb-2 flex items-center overflow-hidden rounded-lg border"
                >
                    <div
                        class="border-jacarta-100 bg-jacarta-50 flex flex-1 items-center self-stretch border-r px-2"
                    >
                        <span>
                            <svg
                                version="1.1"
                                xmlns="http://www.w3.org/2000/svg"
                                x="0"
                                y="0"
                                viewBox="0 0 1920 1920"
                                xml:space="preserve"
                                class="mr-1 h-5 w-5"
                            >
                                <path fill="#8A92B2" d="M959.8 80.7L420.1 976.3 959.8 731z" />
                                <path
                                    fill="#62688F"
                                    d="M959.8 731L420.1 976.3l539.7 319.1zm539.8 245.3L959.8 80.7V731z"
                                />
                                <path fill="#454A75" d="M959.8 1295.4l539.8-319.1L959.8 731z" />
                                <path fill="#8A92B2" d="M420.1 1078.7l539.7 760.6v-441.7z" />
                                <path fill="#62688F" d="M959.8 1397.6v441.7l540.1-760.6z" />
                            </svg>
                        </span>
                        <span class="font-display text-jacarta-700 text-sm">PPY</span>
                    </div>

                    <input
                        type="text"
                        class="focus:ring-accent h-12 w-full flex-[3] border-0 focus:ring-inset"
                        placeholder="Amount"
                        value="0.05"
                    />

                    <div
                        class="bg-jacarta-50 border-jacarta-100 flex flex-1 justify-end self-stretch border-l"
                    >
                        <span class="self-center px-2 text-sm">$130.82</span>
                    </div>
                </div>

                <div class="text-right">
                    <span class="dark:text-jacarta-400 text-sm">Balance: 0.0000 WPPY</span>
                </div>

                <!-- Terms -->
                <div class="mt-4 flex items-center space-x-2">
                    <input
                        type="checkbox"
                        id="terms"
                        class="checked:bg-accent dark:bg-jacarta-600 text-accent border-jacarta-200 focus:ring-accent/20 dark:border-jacarta-500 h-5 w-5 self-start rounded focus:ring-offset-0"
                    />
                    <label for="terms" class="dark:text-jacarta-200 text-sm"
                        >By checking this box, I agree to Tradehands's <a
                            href="/#"
                            class="text-accent">Terms of Service</a
                        ></label
                    >
                </div>
            </div>
            <!-- end body -->

            <div class="modal-footer">
                <div class="flex items-center justify-center space-x-4">
                    <button
                        type="button"
                        class="bg-accent shadow-accent-volume hover:bg-accent-dark rounded-full py-3 px-8 text-center font-semibold text-white transition-all"
                    >
                        Place Bid
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>

<style>
</style>
